com.tibco.ax.fw.runtime.transport

## Interface IFTPFlavorReply

- All Known Subinterfaces:
    FTPReply, SSHFTPReply

      public interface IFTPFlavorReply

  Constants and methods for handling FTP server replies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileName()` Returns the fileName after executing FTPClient#executeGetCmd() or FTPClient#executeMgetCmd() etc.
    `java.lang.String` | `getOperationID()` Get the operation ID on this FTP or SSHFTP reply instance.
    `java.util.Vector` | `getRemoteFileList()` Returns the remote fileList returned as a Vector after executing commands like NLST ( FTPClient#executeLsCmd()), LIST (FTPClient#executeDirCmd()).
    `int` | `getReturnCode()` Returns the three digit return code returned from the Server after executing the Command.
    `java.lang.String` | `getReturnMsg()` Returns the original message returned by the server after executing the command.
    `void` | `setOperationID(java.lang.String opID)` Set a custom operation ID on this FTP or SSHFTP reply instance.
    `java.lang.String` | `toString()` Returns a string representation of this SSH/FTPReply including the code, message text, Remote fileList if present and the filename if present.

- - ### Method Detail

    - #### getReturnCode

          int getReturnCode()

      Returns the three digit return code returned from the Server after executing the Command.
      Returns:
        code

    - #### getReturnMsg

          java.lang.String getReturnMsg()

      Returns the original message returned by the server after executing the command.
      Returns:
        original message text.

    - #### getRemoteFileList

          java.util.Vector getRemoteFileList()

      Returns the remote fileList returned as a Vector after executing commands like NLST ( FTPClient#executeLsCmd()), LIST (FTPClient#executeDirCmd()). Vector would be null for other commands.
      Returns:
        a vector of fileList returned after executing NLST or LIST

    - #### getFileName

          java.lang.String getFileName()

      Returns the fileName after executing FTPClient#executeGetCmd() or FTPClient#executeMgetCmd() etc. The value will be null for other commands.
      Returns:
        the filename.

    - #### toString

          java.lang.String toString()

      Returns a string representation of this SSH/FTPReply including the code, message text, Remote fileList if present and the filename if present.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the reply.

    - #### setOperationID

          void setOperationID(java.lang.String opID)

      Set a custom operation ID on this FTP or SSHFTP reply instance. Business protocols may or may not support this feature. It is expected that - if supported by the protocol - the specified operation ID exists in the protocol's interface. If the operation ID is not set, business protocols will use default values or may implement other behavior. Consult with the manuals of the protocols for further details.
      Parameters:
        `opID` - The name of the operation. E.g. BC/1.1/Notify

    - #### getOperationID

          java.lang.String getOperationID()

      Get the operation ID on this FTP or SSHFTP reply instance. This method returns a non null value only if the `setOperationID(String)` method has already been called with a non null parameter.
      Returns:
        the value of the operation ID or null if none was set.